getpix(1)

Name
getpix -Display FITS or IRAF image values

Synopsis
setpix [-vn] file.fts [x_range y_range value] [@valuefile] getpix [-vp][-n num][-g val][-l val] file.fits x_range y_range getpix [-vp][-n num][-g val][-l val] file.fits x1 y1 x2 y2 ... xn yn getpix [-vp][-n num][-g val][-file.fits @file

Description
Display the values of list of specified pixels or ranges of pixels in a FITS or IRAF 2-D image. Pixel values from a file of x y pairs may be displayed

Options

filename
    Name of IRAF image header file or FITS file. This must be present.

@coordfile
    File with x y coordinates as first two tokens on lines

xrange yrange
    Image coordinate x and y ranges as x1-x2 y1-y2 or lists of x and y coordinates, where x is the horizontal and y is along the vertical axis starting at 1,1 in the lower left corner of the image. If either range is "0", all of the coordinate values along that axis are displayed.

-d number
    Set the number of decimal places in displayed pixel values

-e pixel value range
    Print range of pixel values in specified image region

-f name
    Write specified region to a FITS file

-g num
    Keep pixels with values greater than this

-h  Print file name on line above pixel values

-i  Ignore first token per line of coordinate file

-l num
    Keep pixels with values less than this

-m  Print mean of pixel values in specified image region

-n num
    Number of pixel values printed per line

-o format: Output format in C style without leading %

-p  Label pixel rows and columns

-r num
    Radius (<0=box) to extract in degrees/arcsec

-s  Print x y value with no punctuation

-t  Separate columns in table with tabs instead of spaces

-v  Verbose header with more about the image and label pixel coordinates from input list

-y  Display x as rows (vertically) and y as columns (horizontally)

Author
Jessica Mink, SAO (jmink@cfa.harvard.edu)